Get purchase order
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/purchase-orders/{uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/purchase-orders/{uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/purchase-orders/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Purchase order retrieved successfully",
"data": {
"uuid": "po-uuid-1",
"transaction_type": "purchase_order",
"status": "draft",
"document_number": "PO-0042",
"narration": "Q2 stock replenishment",
"amount": 450000,
"currency": "NGN"
}
}{
"status": "failed",
"message": "<string>"
}Purchase Orders
Get purchase order
GET
/
purchase-orders
/
{uuid}
Get purchase order
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/purchase-orders/{uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/purchase-orders/{uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/purchase-orders/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Purchase order retrieved successfully",
"data": {
"uuid": "po-uuid-1",
"transaction_type": "purchase_order",
"status": "draft",
"document_number": "PO-0042",
"narration": "Q2 stock replenishment",
"amount": 450000,
"currency": "NGN"
}
}{
"status": "failed",
"message": "<string>"
}Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Path Parameters
Purchase order uuid or source_uuid.
Response
Single purchase order